﻿### rr

Чтение/запись произвольного адреса.

### Синтаксис
```rr адрес количество [значение]```

### Опции
- **адрес**

  Физический адрес памяти в шестнадцатеричном формате. Например: 0x1000000

- **количество**

  Количество 32х разрядных значений для чтения.

- **значение**

  32х разрядное значение для записи в память по указанному адресу.

### Описание

Утилита *rr* мапирует и считывает 32х разрядное значение с указанного адреса.
Для записи значения по указанному адресу задайте третий опциональный параметр.


### Предостережения

Для чтения/записи указанного адреса используются функции in32()/out32().


### Примеры

Считать с физического адреса 0x1000000 одно 32х разрядное значение.


```rr 0x1000000 1```


Записать по физическому адресу 0x1000000 значение 0x12345678.


```rr 0x1000000 1 0x12345678```


