/*
 * (c) 2019, SWD Embedded Systems Limited, http://www.kpda.ru
 */


#ifndef _SPIM_TEST_H_
#define _SPIM_TEST_H_


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <hw/spi-master.h>


int tspi_open_cmdread( int dev, void *cmd_buf, int16_t cmd_len, void *rx_buffer, int rx_len, int *bytes_readed );
int tspi_setcfg( int dev_index, uint32_t cs, uint32_t mode, uint32_t clock_rate );
int tspi_io_test( int dev_index, uint32_t cs, uint32_t xfer_len );
int tspi_iodata_test( int dev_index, uint32_t cs, uint32_t xfer_len, void *buffer );
int tspi_std_rw( int dev_index, uint32_t cs, uint32_t xfer_len );
int tspi_devinfo( int dev_index );
int tspi_drvinfo( int dev_index );
int tspi_testall( int dev_index, int cs );


#endif
