## Дерево исходных кодов

```
|- utils/
|  |- btime/            - Вывести время с момента включения питания
|  |- i2c-scan/         - Сканер шины I2C и чтение/запись произвольного регистра I2C устройства
|  |- int-attach/       - Навесить обработчик прерывания и выводить отладочное сообщение при его возникновении
|  |- pci-attach/       - Подключиться к PCI устройству
|  |- rr/               - Чтение/запись произвольного адреса
|  |- sertest/          - Тест последовательных портов (COM-портов) с передачей, получением и проверкой пакетов с данными
|  |- spitest/          - Получение/установка конфигурации SPI и тестовый обмен с устройствами на шине
|  |- ticksize/         - Установка периода срабатывания системного таймера и тест задержки прерывания системного таймера
|  `- Makefile          - Правила сборки дерева исходников
|
`- Makefile             - Правила сборки дерева исходников
```



## Сборка утилит

- Установить и настроить [комплект разработчика](https://help.kpda.ru/help/topic/ru.kpda.doc.dev_tools_ru/html/devkit/devkit.html) для [ЗОСРВ "Нейтрино" редакции 2020](https://help.kpda.ru/help/index.jsp).
- Выполнить команду:

```
make
```



## Запуск утилит

Примеры представлены в описаниях утилит в каталогах с их исходным кодом:
- `btime`      - [ссылка на описание утилиты](utils/btime/)
- `i2c-scan`   - [ссылка на описание утилиты](utils/i2c-scan/)
- `int-attach` - [ссылка на описание утилиты](utils/int-attach/)
- `pci-attach` - [ссылка на описание утилиты](utils/pci-attach/)
- `rr`         - [ссылка на описание утилиты](utils/rr/)
- `sertest`    - [ссылка на описание утилиты](utils/sertest/)
- `spitest`    - [ссылка на описание утилиты](utils/spitest/)
- `ticksize`   - [ссылка на описание утилиты](utils/ticksize/)

