﻿### btime

Вывести время с момента включения питания.

### Синтаксис
```btime [-s "строка"]```

### Опции
- **-s строка**

  опциональная текстовая строка с комментарием

### Описание

Утилита выводит время, прошедшее с момента включения питания системы. Значение времени рассчитывается на основе счётчика тактов процессора (см. ClockCycles()).

Может использоваться для замера времени загрузки системы, например, в загрузочном образе ОС.
Можно вызвать несколько раз для вывода значения времени на разных этапах загрузки: запуск ядра ОС, запуск драйверов, прикладного ПО и т.п.

### Предостережения

Учтите, что учитывается всё время прошедшее с момента включения питания процессора, включая начальную инициализацию системы, работу загрузчиков, BIOS и т.п.

### Примеры

```btime -s "Kernel Boot Time: "```
